#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 2

Summary:        Library to easily use clients based on wlr-layer-shell
Name:           layer-shell-qt
Version: 5.27.5
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

## Upstream master branch patches

BuildRequires:  kf5-rpm-macros

BuildRequires:  cmake(Qt5Gui) >= 5.15.2
BuildRequires:  cmake(Qt5WaylandClient) >= 5.15.2
BuildRequires:  cmake(Qt5Network) >= 5.15.2
BuildRequires:  cmake(Qt5Qml) >= 5.15.2
BuildRequires:  cmake(Qt5) >= 5.15.2
BuildRequires:  cmake(Qt5XkbCommonSupport) >= 5.15.2
BuildRequires:  cmake(Qt5Core) >= 5.15.2

BuildRequires:  cmake(PlasmaWaylandProtocols)

BuildRequires:  pkgconfig(wayland-scanner)
BuildRequires:  pkgconfig(wayland-protocols)

%description
Qt component to allow applications to make use of the Wayland
wl-layer-shell protocol.

%files
%_qt5_plugindir/wayland-shell-integration/liblayer-shell.so

#--------------------------------------------------------------------

%define layershellqtinterface_major 5
%define liblayershellqtinterface %mklibname layershellqtinterface %{layershellqtinterface_major}

%package -n %liblayershellqtinterface
Summary:        %name library
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %liblayershellqtinterface
%name component library.

%files -n %liblayershellqtinterface
%_kf5_libdir/libLayerShellQtInterface.so.%{layershellqtinterface_major}{,.*}

#--------------------------------------------------------------------

%define layer_shell_qt_devel %mklibname %name -d

%package -n %layer_shell_qt_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Provides:       %name-devel = %{version}-%{release}

Requires:       %name = %{version}-%{release}
Requires:       %liblayershellqtinterface = %{version}-%{release}

%description -n %layer_shell_qt_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %layer_shell_qt_devel
%_includedir/LayerShellQt/
%_kf5_libdir/cmake/LayerShellQt/
%_kf5_libdir/libLayerShellQtInterface.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install


%changelog
* Wed Aug 09 2023 daviddavid <daviddavid> 5.27.5-2.mga9
+ Revision: 1964563
- lib sub-pkg requires main pkg

* Fri May 26 2023 neoclust <neoclust> 5.27.5-1.mga9
+ Revision: 1958048
- New version 5.27.5

* Mon Apr 10 2023 neoclust <neoclust> 5.27.4-1.mga9
+ Revision: 1951961
- New version 5.27.4

* Wed Mar 15 2023 neoclust <neoclust> 5.27.3-1.mga9
+ Revision: 1949086
- New version 5.27.3

* Tue Feb 28 2023 neoclust <neoclust> 5.27.2-1.mga9
+ Revision: 1945875
- New version 5.27.2

* Sun Feb 26 2023 daviddavid <daviddavid> 5.27.1-2.mga9
+ Revision: 1945551
- backport fix for multi-screen sddm
- improve summary

* Wed Feb 22 2023 daviddavid <daviddavid> 5.27.1-1.mga9
+ Revision: 1944805
- New version 5.27.1

* Tue Feb 14 2023 neoclust <neoclust> 5.27.0-1.mga9
+ Revision: 1942072
- New version 5.27.0

* Mon Jan 23 2023 neoclust <neoclust> 5.26.90-1.mga9
+ Revision: 1935080
- New version 5.26.90

* Thu Jan 05 2023 daviddavid <daviddavid> 5.26.5-1.mga9
+ Revision: 1930069
- New version 5.26.5

* Thu Dec 15 2022 neoclust <neoclust> 5.26.4-1.mga9
+ Revision: 1923121
- New version 5.26.4

* Tue Nov 15 2022 neoclust <neoclust> 5.26.3-1.mga9
+ Revision: 1907540
- New version 5.26.3

* Sat Oct 29 2022 neoclust <neoclust> 5.26.2-1.mga9
+ Revision: 1900083
- New version 5.26.2

* Fri Sep 16 2022 neoclust <neoclust> 5.25.90-1.mga9
+ Revision: 1889254
- New version 5.25.90

* Fri Aug 05 2022 neoclust <neoclust> 5.25.4-1.mga9
+ Revision: 1875471
- New version 5.25.4

* Tue Jul 26 2022 neoclust <neoclust> 5.25.3-1.mga9
+ Revision: 1872284
- New version 5.25.3
- New version 5.25.3
- New version 5.24.5

* Tue Apr 05 2022 umeabot <umeabot> 5.24.4-2.mga9
+ Revision: 1844750
- Mageia 9 Mass Rebuild
+ neoclust <neoclust>
- New version 5.24.4

* Sun Jan 02 2022 neoclust <neoclust> 5.23.4-1.mga9
+ Revision: 1766196
- New version 5.23.4

* Mon Nov 15 2021 neoclust <neoclust> 5.23.3-1.mga9
+ Revision: 1756881
- New version 5.23.3

* Fri Oct 08 2021 neoclust <neoclust> 5.23.0-1.mga9
+ Revision: 1750111
- New version 5.23.0

* Sun Oct 03 2021 neoclust <neoclust> 5.22.90-1.mga9
+ Revision: 1749045
- New version 5.22.90

* Sat Jul 17 2021 neoclust <neoclust> 5.22.3-1.mga9
+ Revision: 1736432
- imported package layer-shell-qt

